#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, m=0, k=0;
    string s;
    cin >> n;
    cin >> s;
    m = n-26-1;
    k = pow(2,m);
    if(n<=26)
        cout << 0;
    else if(n==27)
        cout << 1;
    else
        cout << k % 1000000007;
    return 0;
}